#
# spec file for package breeze
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           breeze
Version:        5.0.95~git20140826
Release:        0
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= 0.0.12
BuildRequires:  frameworkintegration-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.2.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
Requires:       breeze5-cursors >= %{version}
Requires:       breeze5-icons >= %{version}
Requires:       breeze5-style >= %{version}
Requires:       breeze5-wallpapers >= %{version}
Recommends:     breeze5-decoration >= %{version}
Summary:        Plasma Desktop artwork, styles and assets
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
#Source:         http://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop.

%package -n breeze5-icons
Summary:        Plasma Desktop artwork, styles and assets
Group:          System/GUI/KDE
Requires:       oxygen-icon-theme

%description -n breeze5-icons
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop.
This package provides Breeze icon theme.

%package -n breeze5-cursors
Summary:        Plasma Desktop artwork, styles and assets
Group:          System/GUI/KDE

%description -n breeze5-cursors
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop.
This package provides Breeze cursor theme.

%package -n breeze5-style
Summary:        Plasma Desktop artwork, styles and assets
Group:          System/GUI/KDE
Requires:       kconf_update5
# needed for kde4breeze
Recommends:     breeze4-style

%description -n breeze5-style
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop.
This package provides Breeze style, color-scheme and aditional assets.

%package -n breeze5-wallpapers
Summary:        Plasma Desktop artwork, styles and assets
Group:          System/GUI/KDE

%description -n breeze5-wallpapers
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop.
This package provides Breeze wallpaper theme.

%package -n breeze5-decoration
Summary:        Plasma Desktop artwork, styles and assets
Group:          System/GUI/KDE

%description -n breeze5-decoration
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop.
This package provides Breeze KWin decoration.

%prep
%setup -q

%build
  %cmake_kf5 -d build -- -DBUILD_po=OFF
  %make_jobs

%install
  %kf5_makeinstall -C build

%files -n breeze5-icons
%defattr(-,root,root)
%doc COPYING*
%{_kf5_sharedir}/icons/breeze/

%files -n breeze5-cursors
%defattr(-,root,root)
%doc COPYING*
%{_kf5_sharedir}/icons/breeze_cursors

%files -n breeze5-style
%defattr(-,root,root)
%doc COPYING*
%{_kf5_sharedir}/QtCurve/
%{_kf5_sharedir}/color-schemes/
%{_kf5_qmldir}/QtQuick/
%{_kf5_libdir}/kconf_update_bin/
%{_kf5_sharedir}/kconf_update/
%{_kf5_plugindir}/
%{_kf5_sharedir}/kstyle/

%files -n breeze5-wallpapers
%defattr(-,root,root)
%doc COPYING*
%dir %{_kf5_sharedir}/wallpapers
%{_kf5_sharedir}/wallpapers/Next/

%files -n breeze5-decoration
%defattr(-,root,root)
%doc COPYING*
%{_kf5_sharedir}/kwin/
%dir %{_kf5_servicesdir}
%dir %{_kf5_servicesdir}/kwin
%{_kf5_servicesdir}/kwin/kwin4_decoration_qml_breeze.desktop

%files
%defattr(-,root,root)
%doc COPYING*

%changelog
